<?php
/*
Plugin Name: Дополнительные меню администратора в магазина
Version: 1.1
Author URI: http://www.shopos.ru/
*/


{
    add_filter('head_array_detail', 'head_array_detail_menu');
    add_action('head', 'admin_menu_style');
    add_action('body', 'admin_menu_body');
}

function admin_menu_body()
{
if ($_SESSION['customers_status']['customers_status_id'] == 0) {
?>

<div class="admin-menu">
<div class="sf-admin-menu">
		<ul class="sf-menu">
			<li class="active"><a target="_blank" href="<?php echo $_path; ?>">Главная</a></li>
			<li class="current"><a target="_blank" href="admin/categories.php">Каталог</a>
				<ul>
					<li><a target="_blank" href="admin/categories.php">Категории и Товары</a></li>
					<li><a target="_blank" href="admin/manufacturers.php">Производители</a></li>
					<li><a target="_blank" href="admin/reviews.php">Отзывы</a></li>
					<li><a target="_blank" href="admin/specials.php">Скидки</a></li>
					<li><a target="_blank" href="admin/featured.php">Рекомендуемые товары</a></li>
					<li><a target="_blank" href="admin/products_expected.php">Ожидаемые товары</a></li>
				</ul>
			</li>
			<li class="current"><a target="_blank" href="admin/products_options.php">Атрибуты</a>
				<ul>
					<li class="current"><a target="_blank" href="admin/products_options.php">Названия</a></li>
					<li><a target="_blank" href="admin/products_attributes.php">Значения</a></li>
					<li><a target="_blank" href="admin/new_attributes.php">Установка</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/orders.php">Покупатели</a>
				<ul>
					<li><a target="_blank" href="admin/customers.php">Клиенты</a></li>
					<li><a target="_blank" href="admin/customers_status.php">Группы клиентов</a></li>
					<li><a target="_blank" href="admin/orders.php">Заказы</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/modules.php">Модули</a>
				<ul>
					<li><a target="_blank" href="admin/modules.php?set=payment">Модули оплаты</a></li>
					<li><a target="_blank" href="admin/modules.php?set=shipping">Модули доставки</a></li>
					<li><a target="_blank" href="admin/modules.php?set=ordertotal">Модули итого</a></li>
					<li><a target="_blank" href="admin/ship2pay.php">Доставка-оплата</a></li>
					<li><a target="_blank" href="admin/plugins.php">Плагины</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/configuration.php?gID=1">Настройки</a>
				<ul>
					<li><a target="_blank" href="admin/configuration.php?gID=31">ЧПУ URL</a></li>
					<li><a target="_blank" href="admin/orders_status.php">Статусы заказа</a></li>
					<li><a target="_blank" href="admin/shipping_status.php">Время доставки</a></li>
					<li><a target="_blank" href="admin/products_vpe.php">Единица упаковки</a></li>
					<li><a target="_blank" href="admin/campaigns.php">Кампании</a></li>
					<li><a target="_blank" href="admin/cross_sell_groups.php">Сопутствующие</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=19">Google Analytics</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=23">Яндекс-Маркет</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=27">Тех. обслуживание</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=17">Разное</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/configuration.php?gID=1">Основные</a>
				<ul>
					<li><a target="_blank" href="admin/configuration.php?gID=1">Мой магазин</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=2">Минимальные</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=3">Максимальные</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=4">Картинки</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=5">Данные покупателя</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=7">Доставка/Упаковка</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=8">Вывод товара</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=9">Склад</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=10">Отладка</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=11">Кэш</a></li>
					<li><a target="_blank" href="admin/cache.php">Контроль кэша</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=12">Настройка E-Mail</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=13">Скачивание</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=14">GZip компрессия</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=15">Сессии</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=22">Настройки поиска</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=24">Изменение цен</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/customer_extra_fields.php">Инструменты</a>
				<ul>
					<li><a target="_blank" href="admin/backup.php">Резервное копирование</a></li>
					<li><a target="_blank" href="admin/product_extra_fields.php">Дополнительные поля товаров</a></li>
					<li><a target="_blank" href="admin/customer_extra_fields.php">Дополнительные поля покупателей</a></li>
					<li><a target="_blank" href="admin/content_manager.php">Информационные страницы</a></li>
					<li><a target="_blank" href="admin/blacklist.php">Кредитные карты (CC) черный список</a></li>
					<li><a target="_blank" href="admin/module_newsletter.php">Письмо с новостями</a></li>
					<li><a target="_blank" href="admin/banner_manager.php">Управление баннерми</a></li>
					<li><a target="_blank" href="admin/server_info.php">Сервер инфо</a></li>
					<li><a target="_blank" href="admin/latest_news.php">Новости</a></li>
					<li><a target="_blank" href="admin/faq.php">Вопросы и ответы</a></li>
					<li><a target="_blank" href="admin/easypopulate.php">Excel импорт/экспорт</a></li>
					<li><a target="_blank" href="admin/csv_backend.php">CSV импорт/Экспорт</a></li>
					<li><a target="_blank" href="admin/quick_updates.php">Изменение цен</a></li>
					<li><a target="_blank" href="admin/recover_cart_sales.php">Незавершённые заказы</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/themes.php">Шаблоны</a>
				<ul>
					<li><a target="_blank" href="admin/themes.php">Магазин</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=29">Оформление админки</a></li>
					<li><a target="_blank" href="admin/configuration.php?gID=30">Настройка блоков</a></li>
					<li><a target="_blank" href="admin/email_manager.php">Шаблоны писем</a></li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/backup.php">Разное</a>
				<ul>
					<li><a target="_blank" href="admin/countries.php">Места / Налоги</a>
						<ul>
							<li><a target="_blank" href="admin/countries.php">Страны</a></li>
							<li><a target="_blank" href="admin/zones.php">Регионы</a></li>
							<li><a target="_blank" href="admin/zones.php">Регионы</a></li>
							<li><a target="_blank" href="admin/geo_zones.php">Географические зоны</a></li>
							<li><a target="_blank" href="admin/tax_classes.php">Виды налогов</a></li>
							<li><a target="_blank" href="admin/tax_rates.php">Ставки налогов</a></li>
						</ul>
					</li>
					<li><a target="_blank" href="admin/currencies.php">Языки/Валюты</a>
						<ul>
							<li><a target="_blank" href="admin/currencies.php">Валюты</a></li>
							<li><a target="_blank" href="admin/languages.php">Языки</a></li>
						</ul>
					</li>
					<li><a target="_blank" href="admin/coupon_admin.php">Купоны</a>
						<ul>
							<li><a target="_blank" href="admin/coupon_admin.php">Управление купонами</a></li>
							<li><a target="_blank" href="admin/gv_queue.php">Активация сертификатов</a></li>
							<li><a target="_blank" href="admin/gv_mail.php">Отправить сертификат</a></li>
							<li><a target="_blank" href="admin/gv_sent.php">Отправленные сертификаты</a></li>
						</ul>
					</li>
					<li><a target="_blank" href="admin/stats_sales_report2.php">Статистика</a>
						<ul>
							<li><a target="_blank" href="admin/stats_products_viewed.php">Просмотренные товары</a></li>
							<li><a target="_blank" href="admin/stats_products_purchased.php">Заказанные товары</a></li>
							<li><a target="_blank" href="admin/stats_customers.php">Лучшие клиенты</a></li>
							<li><a target="_blank" href="admin/stats_sales_report.php">Статистика продаж</a></li>
							<li><a target="_blank" href="admin/stats_campaigns.php">Отчёт по кампаниям</a></li>
							<li><a target="_blank" href="admin/stats_stock_warning.php">Склад</a></li>
						</ul>
					</li>
					<li><a target="_blank" href="admin/articles.php">Статьи</a>
						<ul>
							<li><a target="_blank" href="admin/articles.php">Статьи/Разделы</a></li>
							<li><a target="_blank" href="admin/articles_config.php">Настройка</a></li>
							<li><a target="_blank" href="admin/authors.php">Авторы</a></li>
							<li><a target="_blank" href="admin/articles_xsell.php">Товары-Статьи</a></li>
						</ul>
					</li>
					<li><a target="_blank" href="admin/affiliate_affiliates.php">Партнёрка</a>
						<ul>
							<li><a target="_blank" href="admin/configuration.php?gID=28">Настройки</a></li>
							<li><a target="_blank" href="admin/affiliate_affiliates.php">Партнёры</a></li>
							<li><a target="_blank" href="admin/affiliate_banners.php">Баннеры</a></li>
							<li><a target="_blank" href="admin/affiliate_clicks.php">Клики</a></li>
							<li><a target="_blank" href="admin/affiliate_contact.php">Обратная связь</a></li>
							<li><a target="_blank" href="admin/affiliate_payment.php">Выплаты</a></li>
							<li><a target="_blank" href="admin/affiliate_sales.php">Продажи</a></li>
							<li><a target="_blank" href="admin/affiliate_summary.php">Общая статистика</a></li>
						</ul>
					</li>
				</ul>
			</li>
			<li><a target="_blank" href="admin/index2.php">Помощь</a>
				<ul>
					<li><a target="_blank" href="http://docs.shopos.ru/">ShopOS Помощь</a></li>
					<li><a target="_blank" href="http://www.shopos.ru/">ShopOS Сайт поддержки</a></li>
					<li><a target="_blank" href="http://www.shopos.ru/forum/">ShopOS Форум</a></li>
				</ul>
			</li>
		</ul>
		<div class="clear"></div>
	</div></div>
<?php
}
}

//добавяем стиль
function head_array_detail_menu($value)
{ 
   if ($_SESSION['customers_status']['customers_status_id'] == 0) 
   {
          $value [] =  add_style( plugurl() . 'css/admin_menu.css', $value );
   
          if (function_exists('is_page'))
          {
              if ( !is_page('product_info') )
	          {
                   $value [] = add_js( http_path('catalog') . 'jscript/jquery/jquery.js', $value);
	          }
          }
          else
          {
              $value [] = add_js( http_path('catalog') . 'jscript/jquery/jquery.js', $value);
          }
   
          $value [] = add_js( plugurl() . 'js/other.js', $value);
          $value [] = add_js( plugurl() . 'js/hoverIntent.js', $value);
          $value [] = add_js( plugurl() . 'js/superfish.js', $value);
   }
   
   return $value;
   
}

function admin_menu_style()
{
   if ($_SESSION['customers_status']['customers_status_id'] == 0) 
   {
  _e ('
<script type="text/javascript">
        function formatText(index, panel) {
		  return index + "";
	    }
        $(function () {
            $(\'.anythingSlider\').anythingSlider({
                easing: "easeInOutExpo",
                autoPlay: true,
                delay: 5000,
                startStopped: false,
                animationTime: 500,
                hashTags: true,
                buildNavigation: true,
        		pauseOnHover: true,
        		startText: "Старт",
		        stopText: "Стоп",
		        navigationFormatter: formatText
            });
            $("#slide-jump").click(function(){
                $(\'.anythingSlider\').anythingSlider(6);
            });
            
        });
</script>
<script type="text/javascript">
	jQuery(function(){
		jQuery(\'ul.sf-menu\').superfish();
	});
</script>

');
 }
}

?>